.TH BLENDS.CONF 5 2008-11-05 "Debian Pure Blends Configuration" ""
.SH NAME
blends.conf \- configuration for Debian Pure Blends registry
.SH DESCRIPTION
This file is sourced from shell scripts inside the Debian Pure Blends
package
.B blends-common
and thus it has to follow shell syntax.  The variables which are set
inside this configuration file can be overriden by special Blends
configration files
.I /etc/blends/<blend>/<blend>.conf
for each single Blend.

.SH SYNTAX
The following variables can be set:
.TP
.I DBBACKEND
Set the backend for the user role management system.  Currently the
only implemented role management system is
.I unixgroups
but others might be implemented later.  Unsetting this variable leads
to use no roles at all.
.TP
.I UPDATEUSERMENU
If this is set to
.I yes
the user menus of meta packages can be created automatically at
install time of the package if the postinst script of the package
allows this.  It is suggested to use this option in the specific
configuration files of a special Debian Pure Blend which
overrides the settings of the general configuration file.
.TP
.I SHAREDIR
Set the base directory for the user role management system. While this
is more or less a feature for debugging this might be also used otherwise.
.TP
.I DRYRUN
This variable can be set for debugging.  Normally it should be left
unset (NOT set to false or anything else!). If set to
.I true
a dry run of the tools is performed or
.I echo DRYRUN:
would print debugging information.
.TP
.I DEBUG
If set to 
.I 1
debugging mode is switched on.

.SH "SEE ALSO"
.BR blend-role (8)
.BR blend-update-menus (8)
.BR blend-user (8)

.SH AUTHOR
Andreas Tille <tille@debian.org>
Cosimo Alfarano <kalfa@debian.org>
